| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBaseEventHandler::EventHandlerImpl Class Reference

Actual iEventHandler implementation. More...

`#include <csutil/csbaseeventh.h>`

Inheritance diagram for csBaseEventHandler::EventHandlerImpl:

[legend]
List of all members.

## Public Member Functions
virtual csHandlerID | GenericID (csRef< iEventHandlerRegistry > &reg) const
virtual const char * | GenericName () const
virtual const csHandlerID * | GenericPrec (csRef< iEventHandlerRegistry > &hreg, csRef< iEventNameRegistry > &nreg, csEventID id) const
virtual const csHandlerID * | GenericSucc (csRef< iEventHandlerRegistry > &hreg, csRef< iEventNameRegistry > &nreg, csEventID id) const
virtual bool | HandleEvent (iEvent &event)
virtual const csHandlerID * | InstancePrec (csRef< iEventHandlerRegistry > &hreg, csRef< iEventNameRegistry > &nreg, csEventID id) const
virtual const csHandlerID * | InstanceSucc (csRef< iEventHandlerRegistry > &hreg, csRef< iEventNameRegistry > &nreg, csEventID id) const
## Friends
class | csBaseEventHandler

## Detailed Description

Actual iEventHandler implementation.

This is in a wrapper class so it can be properly refcounted and the csBaseEventHandler can be used in co-inheritance with non-refcounted classes.

Definition at line 77 of file csbaseeventh.h.

The documentation for this class was generated from the following file:

- csutil/csbaseeventh.h